Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp
Class PickList

    java.lang.Object
      de.grogra.math.Pool
          de.grogra.imp.PickList

    public final class PickList

extends Pool

Field Summary

Fields inherited from class de.grogra.math.Pool
`e0, e1, e2, e3, fv, l0, l1, l2, l3, list, m3d0, m3d1, m3d2, m3d3, m3f0, m3f1, m3f2, m3f3, m4d0, m4d1, m4d2, m4d3, m4f0, m4f1, m4f2, m4f3, n3d0, n3d1, n3d2, n3d3, n3f0, n3f1, n3f2, n3f3, n4d0, n4d1, n4d2, n4d3, n4f0, n4f1, n4f2, n4f3, p2d0, p2d1, p2d2, p2d3, p2f0, p2f1, p2f2, p2f3, p3d0, p3d1, p3d2, p3d3, p3f0, p3f1, p3f2, p3f3, p4f0, p4f1, p4f2, p4f3, q2d0, q2d1, q2d2, q2d3, q2f0, q2f1, q2f2, q2f3, q3d0, q3d1, q3d2, q3d3, q3f0, q3f1, q3f2, q3f3, q4f0, q4f1, q4f2, q4f3, r0, r1, r2, r3, rr0, rr1, rr2, rr3, v2d0, v2d1, v2d2, v2d3, v2f0, v2f1, v2f2, v2f3, v3d0, v3d1, v3d2, v3d3, v3f0, v3f1, v3f2, v3f3, v4f0, v4f1, v4f2, v4f3, w2d0, w2d1, w2d2, w2d3, w2f0, w2f1, w2f2, w2f3, w3d0, w3d1, w3d2, w3d3, w3f0, w3f1, w3f2, w3f3, w4f0, w4f1, w4f2, w4f3`

Constructor Summary
`PickList(int maxLength, boolean allowNegativeDist)`

Method Summary
`void` | `add()`
`void` | `add(double distance)`
`void` | `begin(Path p, boolean removeNode)`
`void` | `beginNewGroup()`
`boolean` | `containsCurrent()`
`void` | `end()`
`boolean` | `equals(java.lang.Object object)`
`GraphState` | `getGraphState()`
`void` | `getItem(int index, PickElement p)`
`double` | `getMaxDistance()`
`ArrayPath` | `getPath(int index)`
`void` | `getPath(int index, ArrayPath p)`
`int` | `getSize()`
`View` | `getView()`
`int` | `getViewX()`
`int` | `getViewY()`
`void` | `reset()`
`void` | `reset(View view, int x, int y)`
`void` | `setCurrentLayer(int layer)`
`java.lang.String` | `toString()`

Methods inherited from class de.grogra.math.Pool
`get, getDoubleArray, getFloatArray, pop, push`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PickList

    public PickList(int maxLength,
                    boolean allowNegativeDist)

Method Detail

### add

    public void add()

### add

    public void add(double distance)

### begin

    public void begin(Path p,
                      boolean removeNode)

### beginNewGroup

    public void beginNewGroup()

### containsCurrent

    public boolean containsCurrent()

### end

    public void end()

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    `equals` in class `java.lang.Object`

### getGraphState

    public GraphState getGraphState()

### getItem

    public void getItem(int index,
                        PickElement p)

### getMaxDistance

    public double getMaxDistance()

### getPath

    public ArrayPath getPath(int index)

### getPath

    public void getPath(int index,
                        ArrayPath p)

### getSize

    public int getSize()

### getView

    public View getView()

### getViewX

    public int getViewX()

### getViewY

    public int getViewY()

### reset

    public void reset()

### reset

    public void reset(View view,
                      int x,
                      int y)

### setCurrentLayer

    public void setCurrentLayer(int layer)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD